### Name: efficiency
### Title: Calculation of qPCR efficiency and several other important qPCR
###   parameters
### Aliases: efficiency
### Keywords: models nonlinear

### ** Examples

## Fitting initial model
m1 <-  multdrc(F1.1 ~ Cycles, data = reps, fct = l4())
efficiency(m1)
 
## of best model
m2 <- mchoice(m1)
efficiency(m2) #uses type="cpD2"

## using "maxE" method, with calculation of PCR efficiency
## one cycle 'upstream' of the cycle of maximum efficiency
efficiency(m2, type = "maxE", shift = 1)

##using the exponential region
efficiency(m2, type = "expR")

## using threshold value (15.32) from PCR software
efficiency(m2, type = 15.32)
 
## using the first 30 cycles and a template amount
m3 <-  multdrc(F1.1 ~ Cycles, data = reps[1:30,], fct = l5())
efficiency(m3, amount = 1E3)




